agency-board
POST /v1/agency/boards/{boardId}/cards/{cardId}/comments
Comment on a card.
සත්යාපනය
බෙරර් ටෝකනයක් ලෙස API යතුරක් යවන්න. මෙම අන්ත ලක්ෂ්යය පිරිවිතරයේ නිශ්චිත අවසරයක් දක්වා නැත, එබැවින් උපකල්පනය කරනවාට වඩා ඔබේ යතුරට අවශ්ය අවම අවසරය ලබා දී ප්රතිචාරය පරීක්ෂා කරන්න.
මෙම අවසාන ලක්ෂ්යය සඳහා සංවිධාන හැඳුනුම්පතක් (organisation id) අවශ්ය නොවේ. ඔබගේ යතුර මඟින් එය අයත් වන සංවිධානය දැනටමත් හඳුනා ගන්නා අතර, ප්රතිචාරය ඒ වෙත සීමා වේ.
උත්සාහ කරන්න
<අගයන්> සමඟ කෝණික වරහන් තුළ ඇති ඕනෑම දෙයක් සහ ඔබේ උපකරණ පුවරුවෙන් ලබාගත් යතුරක් සමඟ key ස්ථාන දායකය ප්රතිස්ථාපනය කරන්න.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/cards/{cardId}/comments \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "body": <string> }'පද්ධතියට පිවිස සිටිනවාද? ඔබගේ උපකරණ පුවරුවේ ඇති API කොන්සෝලය මඟින් ඔබේ සැබෑ ආයතනික හැඳුනුම්පත සහ ඔබේම යතුර පුරවා, සජීවී API වෙත ඉල්ලීම ක්රියාත්මක කරන බැවින් ඔබට සැබෑ ප්රතිචාරය දැකගත හැක. මෙම අග්රලක්ෂ්යය API කොන්සෝලය තුළ විවෘත කරන්න
විස්තර
`visibility` defaults to `internal`, so an agency comment must be widened deliberately to reach the client.
පරාමිතීන්
| නම | වර්ගය | අත්යවශ්යයි | එය කුමක්ද |
|---|---|---|---|
boardId (path) | Uuid | ඔව් | Project board ID (UUIDv7). |
cardId (path) | Uuid | ඔව් | Board card ID (UUIDv7). |
ඉල්ලුම් පත්ර ශරීරය
| නම | වර්ගය | අත්යවශ්යයි | එය කුමක්ද |
|---|---|---|---|
body | string | ඔව් | — |
visibility | AgencyBoardVisibility | නැත | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
පsspil
| නම | වර්ගය | අත්යවශ්යයි | එය කුමක්ද |
|---|---|---|---|
id | Uuid | ඔව් | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | ඔව් | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
author_id | string | නැත | — |
author_is_client | boolean | නැත | — |
author | AgencyBoardActor | නැත | — |
body | string | ඔව් | — |
visibility | AgencyBoardVisibility | ඔව් | Who may see this object. `internal` is always the default. A **card** reaches the client only when it is `client` **and its column is too** — an AND, not inheritance, because th… |
created_at | string | ඔව් | — |
මෙම අවසාන ලක්ෂ්යය ආපසු ලබා දිය හැකි දෝෂ
401 · 403 · 404 · 422